Package org.opensaml.xacml.policy

# Interface PolicySetType

All Superinterfaces:
  `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `PolicySetTypeImpl`

public interface PolicySetType extends XACMLObject
XACML PolicySet schema types.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the element PolicySet.
`static final QName`
`DEFAULT_ELEMENT_NAME`
QName of the element PolicySet.
`static final String`
`DEFAULT_VERSION`
Default Version .
`static final String`
`POLICY_COMBINING_ALG_ID_ATTRIB_NAME`
PolicyCombiningAlgId attribute name.
`static final String`
`POLICY_SET_ID_ATTRIB_NAME`
PolicySetId attribute name.
`static final String`
`SCHEMA_TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`SCHEMA_TYPE_NAME`
QName of the XSI type.
`static final String`
`VERSION_ATTRIB_NAME`
Version attribute name.

## Method Summary

Modifier and Type
Method
Description
`List<CombinerParametersType>`
`getCombinerParameters()`
Gets the combiner parameters for this policy set.
`DescriptionType`
`getDescription()`
Gets the description for this policy set.
`ObligationsType`
`getObligations()`
Gets the obligations of this policy set.
`List<PolicyType>`
`getPolicies()`
Gets the child policies.
`IndexedXMLObjectChildrenList<XACMLObject>`
`getPolicyChoiceGroup()`
Gets the backing object for the choice group containing the `PolicySetType`, `PolicyType`, `IdReferenceType`, `CombinerParametersType`, `PolicyCombinerParametersType`, `PolicySetCombinerParametersType`.
`List<PolicyCombinerParametersType>`
`getPolicyCombinerParameters()`
Gets the policy combiner parameters for this policy set.
`String`
`getPolicyCombiningAlgoId()`
Gets the policy combining algorithm used with this policy set.
`List<IdReferenceType>`
`getPolicyIdReferences()`
Gets the policy Id references.
`List<PolicySetCombinerParametersType>`
`getPolicySetCombinerParameters()`
Gets the policy set combiner parameters for this policy set.
`DefaultsType`
`getPolicySetDefaults()`
Gets the defaults for this policy set.
`String`
`getPolicySetId()`
Gets the ID of this policy set.
`List<IdReferenceType>`
`getPolicySetIdReferences()`
Gets the policy set Id references.
`List<PolicySetType>`
`getPolicySets()`
Gets the child policy sets.
`TargetType`
`getTarget()`
Gets the target of this policy set.
`String`
`getVersion()`
Gets the XACML version of this policy set.
`void`
`setDescription(DescriptionType description)`
Sets the description for this policy set.
`void`
`setObligations(ObligationsType obligations)`
Sets the obligations of this policy set.
`void`
`setPolicyCombiningAlgoId(String id)`
Sets the policy combining algorithm used with this policy set.
`void`
`setPolicySetDefaults(DefaultsType defaults)`
Sets the defaults for this policy set.
`void`
`setPolicySetId(String id)`
Sets the ID of this policy set.
`void`
`setTarget(TargetType target)`
Sets the target of this policy set.
`void`
`setVersion(String version)`
Sets the XACML version of this policy set.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the element PolicySet.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

static final QName DEFAULT_ELEMENT_NAME
QName of the element PolicySet.

### SCHEMA_TYPE_LOCAL_NAME

static final String SCHEMA_TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### SCHEMA_TYPE_NAME

static final QName SCHEMA_TYPE_NAME
QName of the XSI type.

### POLICY_SET_ID_ATTRIB_NAME

static final String POLICY_SET_ID_ATTRIB_NAME
PolicySetId attribute name.

See Also:
  - Constant Field Values

### VERSION_ATTRIB_NAME

static final String VERSION_ATTRIB_NAME
Version attribute name.

See Also:
  - Constant Field Values

### DEFAULT_VERSION

static final String DEFAULT_VERSION
Default Version .

See Also:
  - Constant Field Values

### POLICY_COMBINING_ALG_ID_ATTRIB_NAME

static final String POLICY_COMBINING_ALG_ID_ATTRIB_NAME
PolicyCombiningAlgId attribute name.

See Also:
  - Constant Field Values

## Method Details

### getDescription

DescriptionType getDescription()
Gets the description for this policy set.

Returns:
  description for this policy set

### setDescription

void setDescription(DescriptionType description)
Sets the description for this policy set.

Parameters:
  `description` - description for this policy set

### getPolicyChoiceGroup

IndexedXMLObjectChildrenList<XACMLObject> getPolicyChoiceGroup()
Gets the backing object for the choice group containing the `PolicySetType`, `PolicyType`, `IdReferenceType`, `CombinerParametersType`, `PolicyCombinerParametersType`, `PolicySetCombinerParametersType`. The individual getter/setter methods should be preferred over this method, however this method may be used to fine tune the ordering of all of these objects if that should be necessary.

Returns:
  backing object for the choice group containing the `PolicySetType`, `PolicyType`, `IdReferenceType`, `CombinerParametersType`, `PolicyCombinerParametersType`, `PolicySetCombinerParametersType`

### getPolicySetDefaults

DefaultsType getPolicySetDefaults()
Gets the defaults for this policy set.

Returns:
  defaults for this policy set

### setPolicySetDefaults

void setPolicySetDefaults(DefaultsType defaults)
Sets the defaults for this policy set.

Parameters:
  `defaults` - defaults for this policy set

### getTarget

TargetType getTarget()
Gets the target of this policy set.

Returns:
  target of this policy set

### setTarget

void setTarget(TargetType target)
Sets the target of this policy set.

Parameters:
  `target` - target of this policy set

### getPolicySets

List<PolicySetType> getPolicySets()
Gets the child policy sets.

Returns:
  child policy sets

### getPolicies

List<PolicyType> getPolicies()
Gets the child policies.

Returns:
  child policies

### getPolicySetIdReferences

List<IdReferenceType> getPolicySetIdReferences()
Gets the policy set Id references.

Returns:
  policy set Id references

### getPolicyIdReferences

List<IdReferenceType> getPolicyIdReferences()
Gets the policy Id references.

Returns:
  policy Id references

### getCombinerParameters

List<CombinerParametersType> getCombinerParameters()
Gets the combiner parameters for this policy set.

Returns:
  combiner parameters for this policy set

### getPolicyCombinerParameters

List<PolicyCombinerParametersType> getPolicyCombinerParameters()
Gets the policy combiner parameters for this policy set.

Returns:
  policy combiner parameters for this policy set

### getPolicySetCombinerParameters

List<PolicySetCombinerParametersType> getPolicySetCombinerParameters()
Gets the policy set combiner parameters for this policy set.

Returns:
  policy set combiner parameters for this policy set

### getObligations

ObligationsType getObligations()
Gets the obligations of this policy set.

Returns:
  obligations of this policy set

### setObligations

void setObligations(ObligationsType obligations)
Sets the obligations of this policy set.

Parameters:
  `obligations` - obligations of this policy set

### getPolicySetId

String getPolicySetId()
Gets the ID of this policy set.

Returns:
  ID of this policy set

### setPolicySetId

void setPolicySetId(String id)
Sets the ID of this policy set.

Parameters:
  `id` - ID of this policy set

### getVersion

String getVersion()
Gets the XACML version of this policy set.

Returns:
  XACML version of this policy set

### setVersion

void setVersion(String version)
Sets the XACML version of this policy set.

Parameters:
  `version` - XACML version of this policy set

### getPolicyCombiningAlgoId

String getPolicyCombiningAlgoId()
Gets the policy combining algorithm used with this policy set.

Returns:
  policy combining algorithm used with this policy set

### setPolicyCombiningAlgoId

void setPolicyCombiningAlgoId(String id)
Sets the policy combining algorithm used with this policy set.

Parameters:
  `id` - policy combining algorithm used with this policy set